package haskell.prelude;

import haskell.lang.Exp;

public abstract class AbstractIntegral<A extends AbstractIntegral<A>>
        extends AbstractReal<A>
        implements Integral<A> {

    protected AbstractIntegral(final java.lang.String name) {
        super(name);
    }

    protected AbstractIntegral(
            final java.lang.String name,
            final Internal internal) {
        super(name, internal);
    }

    protected AbstractIntegral(final Exp<A> expression) {
        super(expression);
    }

}
